# Feature Flag for Python

> A modern, composable, and minimal feature flag system for Python applications.

[![CI](https://github.com/jitokim/feature-flag-python/actions/workflows/ci.yml/badge.svg)](https://github.com/jitokim/feature-flag-python/actions/workflows/ci.yml)
[![PyPI](https://img.shields.io/pypi/v/feature-flag-python.svg)](https://pypi.org/project/feature-flag-python/)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE)

---

## ✨ Features

- ✅ Simple, intuitive API
- 🧩 Extensible flag sources and evaluators
- 🔄 Sync & Async compatible
- 🔒 Safe for production usage
- ⚡ Fast and lightweight
- 🧪 Full test suite and type-checked
- 📦 Designed for frameworks like FastAPI or Flask

---

## 📦 Installation

```bash
pip install feature-flag-python
